Bug 1415054 - Vulkan loader package is out-of-date
Summary: Vulkan loader package is out-of-date
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vulkan
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-20 06:18 UTC by Jason Ekstrand
Modified: 2017-02-15 17:47 UTC (History)
2 users (show)

Fixed In Version: vulkan-1.0.37.0-1.fc25 vulkan-1.0.37.0-1.fc24 vulkan-1.0.39.1-1.fc24 vulkan-1.0.39.1-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-09 20:50:17 UTC
Type: Bug


Attachments (Terms of Use)

Description Jason Ekstrand 2017-01-20 06:18:19 UTC
The Vulkan loader package in fedora 25 is still at version 1.0.30 even though 1.0.38 is the latest version.  The Vulkan driver model on Linux is that the distro provides the loader and everyone else just provides an ICD.  Since some Vulkan extensions require loader support and we don't want people to have to stomp the distro-installed loader, the loader package really does need to be updated regularly.

Also, version 1.0.30 has a bug that prevents some Vulkan CTS tests from passing.

Comment 1 leigh scott 2017-01-20 07:43:51 UTC
I don't see 1.0.38 listed as a release


https://github.com/KhronosGroup/Vulkan-LoaderAndValidationLayers/releases

Comment 2 Jason Ekstrand 2017-01-20 16:34:56 UTC
(In reply to leigh scott from comment #1)
> I don't see 1.0.38 listed as a release
> 
> https://github.com/KhronosGroup/Vulkan-LoaderAndValidationLayers/releases

Right.  Aparently the latest is 1.0.37.  I thought the releases were more frequent than that.  I guess not.  In any case, that's still 2 versions behind and, if the ~3week cadence holds, we should be expecting another very soon.

Comment 3 Fedora Update System 2017-01-20 16:45:45 UTC
vulkan-1.0.37.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-428089d356

Comment 4 Fedora Update System 2017-01-20 16:45:56 UTC
vulkan-1.0.37.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e7a1ab8d2b

Comment 5 Fedora Update System 2017-01-20 16:46:04 UTC
vulkan-1.0.37.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8308abcf66

Comment 6 Fedora Update System 2017-01-21 20:50:00 UTC
vulkan-1.0.37.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e7a1ab8d2b

Comment 7 Fedora Update System 2017-01-21 21:52:44 UTC
vulkan-1.0.37.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8308abcf66

Comment 8 Fedora Update System 2017-01-21 22:25:40 UTC
vulkan-1.0.37.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-428089d356

Comment 9 Jason Ekstrand 2017-01-23 22:54:47 UTC
And.... 1.0.39 just got released so it's out of date again. :-(  The 1.0.39 release includes more extensions some of which need explicit loader support.  The loader will need to get updated again before the next mesa update as there are patches on the mesa-dev mailing list for some of those extensions and they're liable to be merged soon.

Comment 10 leigh scott 2017-01-23 23:23:08 UTC
(In reply to Jason Ekstrand from comment #9)
> And.... 1.0.39 just got released so it's out of date again. :-(  The 1.0.39
> release includes more extensions some of which need explicit loader support.
> The loader will need to get updated again before the next mesa update as
> there are patches on the mesa-dev mailing list for some of those extensions
> and they're liable to be merged soon.

I doubt I will be updating again till 1.0.37.0 is pushed, even then it's at the bottom of my rebuild list (at least two weeks long).
If Ajax has the time he is welcome to update it.

Comment 11 Fedora Update System 2017-01-28 22:21:01 UTC
vulkan-1.0.39.0-1.fc24 vulkan-1.0.39.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2be15f4e97

Comment 12 Fedora Update System 2017-01-28 22:24:09 UTC
vulkan-1.0.39.0-1.fc24 vulkan-1.0.39.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2be15f4e97

Comment 13 Fedora Update System 2017-01-28 22:26:19 UTC
vulkan-1.0.39.0-1.fc24 vulkan-1.0.39.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2be15f4e97

Comment 14 Fedora Update System 2017-01-29 21:51:39 UTC
vulkan-1.0.37.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-01-29 22:17:51 UTC
vulkan-1.0.37.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-01-29 23:17:57 UTC
vulkan-1.0.39.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2be15f4e97

Comment 17 Fedora Update System 2017-01-31 15:33:37 UTC
vulkan-1.0.39.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7420284f7c

Comment 18 Fedora Update System 2017-01-31 15:35:30 UTC
vulkan-1.0.39.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-35503b4a11

Comment 19 Fedora Update System 2017-01-31 22:48:51 UTC
vulkan-1.0.39.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-35503b4a11

Comment 20 Fedora Update System 2017-01-31 22:51:13 UTC
vulkan-1.0.39.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7420284f7c

Comment 21 Fedora Update System 2017-02-09 20:50:17 UTC
vulkan-1.0.39.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2017-02-15 17:47:07 UTC
vulkan-1.0.39.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.